{
	inputs = {
    	nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";	
		stylix.url = "github:danth/stylix";

    	home-manager.url = "github:nix-community/home-manager/release-24.11";
		home-manager.inputs.nixpkgs.follows = "nixpkgs";

		apple-fonts.url = "github:Lyndeno/apple-fonts.nix";
		apple-emoji.url = "github:oxcl/apple-emoji-nix";

		nordvpn.url = "github:m-lourenco0/nordvpn-flake";
    	ags.url = "github:Aylur/ags";
    	
		fingerprint-sensor.url = "github:ahbnr/nixos-06cb-009a-fingerprint-sensor/24.11";
		fingerprint-sensor.inputs.nixpkgs.follows = "nixpkgs";
	};

  	outputs = { self, nixpkgs, ... }: let
		forAllSystems = nixpkgs.lib.genAttrs [
        	"aarch64-linux"
        	"x86_64-linux"
        	"aarch64-darwin"
      	];
	in {
    	nixosConfigurations = import ./hosts { inherit self; };
		devShells = forAllSystems ( system:
			let
				pkgs = nixpkgs.legacyPackages.${system};
			in {
				ddt4all = import ./shells/ddt4all.nix { inherit pkgs; };
			}
		);
  	};
}
