{ self, ... }:

let
  	inherit (self) inputs;
  	homeDir = self + /profiles;
  	
	mkSystem = {
		system,
		hostname,
		useHomeManager ? true,
		modules ? []
	}: inputs.nixpkgs.lib.nixosSystem {
      	specialArgs = { inherit inputs; };
      	modules = [
        	./base-configuration.nix
        	./${hostname}
        	homeDir
    	] ++ (
			if useHomeManager then
				[ inputs.home-manager.nixosModules.home-manager ]
			else 
				[ ]
		) ++ modules;
   	};
in {
  	hulk = mkSystem {
		system = "x86_64-linux";
		hostname = "hulk";
	};
}
