{ pkgs, inputs, ... }: 

{
	imports = [
    	# DEs
    	../../modules/desktop-environments/hyprland.nix
 
    	# Utilities
    	../../modules/nixos/nvidia-support.nix
    	../../modules/nixos/fingerprint.nix
    	../../modules/nixos/apple-style.nix
    	../../modules/nixos/bluetooth.nix
    	../../modules/nixos/greetd.nix
    	../../modules/nixos/audio.nix

		# Apps
    	inputs.nordvpn.nixosModules.nordvpn
    ];

  	modules.hyprland = {
		enable = true;
		additionalPackages = with pkgs; [ hyprshot ];
	};

	modules.apple-style.enable = true;
  	modules.bluetooth.enable = true;
	modules.nvidia.enable = true;
  	modules.audio.enable = true;
	modules.fingerprint-fix = {
		enable = true;
		calibDataFile = ./calib-data.bin;
	};

	services = {
		nordvpn.enable = true;
  		printing = {
    		enable = true;
    		drivers = with pkgs; [ hplipWithPlugin ];
  		};
	};

	programs = {
		adb.enable = true;
       	thunar.enable = true;
  
       	thunar.plugins = with pkgs.xfce; [
           thunar-archive-plugin
           thunar-volman
      	];
	};
}
