{ pkgs, inputs, ... }:

{
	home.packages = with pkgs; [
		pywal pywalfox-native

		(python3.withPackages (py: with py; [
			pywayland
		]))

		inputs.nordvpn.packages.${system}.nordvpn

		(birdtray.overrideAttrs (_: {
  			cmakeFlags = [ "-DOPT_THUNDERBIRD_CMDLINE=${thunderbird}/bin/thunderbird" ];
		}))

		jq
      	starship
		element-desktop
		firefox-beta-bin
		thunderbird-bin
		youtube-music
		libreoffice-qt6-fresh
		gimp
		vscodium git nodejs postgresql
		fprintd
		cups
		fish
		anydesk
		fastfetch
		playerctl
		adwaita-icon-theme
		android-tools
		filezilla
		bitwarden-desktop
		davinci-resolve
		mpv
		wget
		sshfs
    ];
}

