{ inputs, pkgs, ... }: 

{
	imports = [
		../../modules/home-manager/darkman.nix
		../../modules/home-manager/fish.nix
		inputs.ags.homeManagerModules.default
	];

    modules.darkman = {
		enable = true;
        customLightModeScript = "$HOME/.config/hypr/scripts/random-wallpaper.sh";
        customDarkModeScript = "$HOME/.config/hypr/scripts/random-wallpaper.sh";
    };
	
	modules.fish = {
		enable = true;
		enableStarship = true;
		functions = import ./fish-functions.nix;
	};

	programs.pywal.enable = true;
	programs.ags = {
    	enable = true;
    	extraPackages = with inputs.ags.packages.${pkgs.system}; [
      		apps battery bluetooth greet hyprland mpris network notifd powerprofiles tray wireplumber
    	] ++ [
      		pkgs.dart-sass pkgs.fzf pkgs.icon-library
    	];
  	};

	programs.obs-studio = {
		enable = true;
		plugins = with pkgs.obs-studio-plugins; [
			obs-source-clone
      		obs-pipewire-audio-capture
			#advanced-scene-switcher
			obs-tuna
			obs-move-transition
			waveform
			wlrobs
		];
	};
}
